#include <bits/stdc++.h>
using namespace std;

int main() {
    
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    
    int n; cin >> n;
    int l; cin >> l;
    
    vector<int> h(n);
    
    for(int i = 0; i < n; i++){
        cin >> h[i];
    }
    for(int i = 0; i < n; i++){
        if(h[i] <= l){
            cout << i+1;
            return 0;
        }
    }
    cout << -1;
    
    return 0;
}